> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nscale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List endpoints

> Returns a list of all model endpoints that are available for use by the specified organization.
Includes details like pricing as decimal USD, model information, and last usage.



## OpenAPI

````yaml /openapi/serverless-openapi.yaml get /organizations/{organization_id}/endpoints
openapi: 3.0.0
info:
  title: Nscale Inference API
  version: 1.26.0
servers:
  - url: https://inference.api.nscale.com
    description: Production
security: []
tags:
  - name: Inference
  - name: Models
paths:
  /organizations/{organization_id}/endpoints:
    get:
      tags:
        - Models
      summary: List endpoints
      description: >-
        Returns a list of all model endpoints that are available for use by the
        specified organization.

        Includes details like pricing as decimal USD, model information, and
        last usage.
      parameters:
        - name: organization_id
          schema:
            type: string
          in: path
          required: true
          deprecated: false
          explode: true
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ServerlessModelsResponse'
        '403':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - IdentityAuthorization: []
components:
  schemas:
    ServerlessModelsResponse:
      type: object
      title: ServerlessModelsResponse
      required:
        - models
      properties:
        models:
          type: array
          items:
            $ref: '#/components/schemas/ServerlessModelEndpoint'
    ErrorResponse:
      type: object
      title: ErrorResponse
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
    ServerlessModelEndpoint:
      type: object
      title: ServerlessModelEndpoint
      required:
        - id
        - developer
        - description
        - licenses
        - attributions
        - hf_id
        - name
        - model_type
        - size
        - output_price_per_million
        - price_type
      properties:
        id:
          type: string
        developer:
          type: string
        description:
          type: string
        licenses:
          type: array
          items:
            $ref: '#/components/schemas/ServerlessModelLicense'
        attributions:
          type: array
          items:
            type: string
        hf_id:
          type: string
        name:
          type: string
        model_type:
          $ref: '#/components/schemas/PipelineTag'
        parameters:
          type: integer
          format: int64
        data_type:
          type: string
        size:
          type: number
          format: double
        input_price_per_million:
          type: string
          format: decimal
        output_price_per_million:
          type: string
          format: decimal
        price_type:
          $ref: '#/components/schemas/ServerlessPriceType'
        unsupported_openai_params:
          type: array
          items:
            type: string
        context_length:
          type: integer
          format: uint32
    ApiError:
      type: object
      title: ApiError
      required:
        - code
        - message
        - error_type
      properties:
        code:
          type: string
        message:
          type: string
        param:
          type: string
        error_type:
          type: string
    ServerlessModelLicense:
      type: object
      title: ServerlessModelLicense
      required:
        - name
        - url
      properties:
        name:
          type: string
        url:
          type: string
    PipelineTag:
      type: string
      enum:
        - TextGeneration
        - TextToImage
        - ImageTextToText
        - Embeddings
    ServerlessPriceType:
      type: string
      enum:
        - PER_TOKEN
        - PER_PIXEL
  securitySchemes:
    IdentityAuthorization:
      type: http
      description: Security scheme that accepts Unikorn Identity JWTs.
      scheme: bearer

````